Groovy 1.7.0

## groovy.lang
Interface GroovyInterceptable

    groovy.lang.GroovyInterceptable
      groovy.lang.GroovyObject

All Superinterfaces:
  GroovyObject

    interface GroovyInterceptable
    extends GroovyObject

Marker interface used to notify that all methods should be intercepted through the `invokeMethod` mechanism of `GroovyObject`.

author:
  Guillaume Laforge

Method Summary

Methods inherited from interface GroovyObject
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Copyright © 2003-2009 The Codehaus. All rights reserved.